//
// C++ Interface: qbioritmi
//
// Description: 
//
//
// Author: Flameeyes <dgp85@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef QBIORITMI_H
#define QBIORITMI_H

#include <qlabel.h>
#include <qdatetime.h>
#include <qcolor.h>
#include <qpainter.h>
#include <qpicture.h>

/**
@author Flameeyes
*/
class KConfig;
class QBioritmi : public QLabel
{
Q_OBJECT
public:
	static const char cyEmotional = 0x01,
			  cyPhisical = 0x02,
			  cyIntellectual = 0x04,
			  cyMean = 0x08;
	
	QBioritmi(QWidget *parent = 0, const char *name = 0);
	QBioritmi(KConfig *ksc, QWidget *parent = 0, const char *name = 0);
	~QBioritmi();
	void paintBioritmi(const QDate &birdate, const QDate &centraldate = QDate::currentDate() );
	void couple(char c, const QDate &birth1, const QDate &birth2, const QDate &centraldate = QDate::currentDate() );

protected:
	KConfig *ksConfig;
	
	QColor colorEmotional;
	QColor colorIntellectual;
	QColor colorPhisical;
	QColor colorMean;
	
	QPicture graph_p;
	QPainter p;
	
	void prepareGraph();
	void closeGraph();
	
	void getBioArray(signed char array[30][3], const QDate &birthdate, const QDate &origin = QDate::currentDate() );
	void drawPoints(signed char array[30][3], char graphs);
	void drawLine(signed char array[30][3], char graphs);
	
	int H, W;
};

#endif
